<template>
  <ul class="v-nav nav nav-tabs">
    <li class="nav-item" v-for="(item, idx) in menuItems" :key="idx">
      <router-link
        :to="{ name: item.route }"
        class="nav-link"
        exact-active-class="active"
      >
        {{ item.name }}
      </router-link>
    </li>
  </ul>
</template>

<script setup lang="ts">
interface MenuItem {
  name: string;
  route: string;
}

defineProps<{
  menuItems: MenuItem[];
}>();
</script>
